Subject: [Ietf-languages] Montenegrin

From: Peter Constable <[email-masked]>
Date: Fri, 6 Oct 2017 17:22:50 +0000

FYI:

The ISO 639-RA/JAC is processing a request from the National Library of Montenegro to encode “Montenegrin” in ISO 639-2. This has been requested before, but on previous occasions there wasn’t much support for it. This time, though, the level of interest appears to be on the rise. It’s not clear to me how the changing sentiment much is influenced by

(i)                  Perception that this really is a distinct language.

(ii)                Feeling that it’s no more or less a distinct language than Serbian vs. Croatian vs. Bosnian, and that it’s not appropriate to bias against this one.

(iii)               Feeling tired of the issue and assuming there’s no real harm to encoding, so we’ll be better off putting this behind us.

Peter

---

From: Han Steenwijk <[email-masked]>
Date: Sat, 07 Oct 2017 18:05:41 +0200

If they can prove their point with the usual documentation, let them have it.

Actuallly theirs is the language most closely resembling the dialect
(Eastern Hercegovian) that served as the base for the standard
language as developed by Vuk Karadzic and his followers back in the
first half of the 19th century. That standard language later got
labelled  "Serbocroatian".

The problem is how to distinguish Montenegrin from present-day
Serbian, as it is Serbian that took on the heritance of Serbocroatian,
whereas Croatian and Bosnian are mostly trying to distance themselves
from Serbocroatian.

Peter Constable <[email-masked]> ha scritto:

> FYI:
>
> The ISO 639-RA/JAC is processing a request from the National Library
> of Montenegro to encode “Montenegrin” in ISO 639-2. This has been
> requested before, but on previous occasions there wasn’t much
> support for it. This time, though, the level of interest appears to
> be on the rise. It’s not clear to me how the changing sentiment much
> is influenced by
>
>
> (ii)                Feeling that it’s no more or less a distinct
> language than Serbian vs. Croatian vs. Bosnian, and that it’s not
> appropriate to bias against this one.
>
> (iii)               Feeling tired of the issue and assuming there’s
> no real harm to encoding, so we’ll be better off putting this behind
> us.
>
>
>
> Peter

---

From: Mark Davis ☕️ <[email-masked]>
Date: Sat, 7 Oct 2017 20:02:43 +0200

> Feeling tired of the issue...

I can understand that... I do believe the end result of giving their
dialect a language code will be counterproductive, since there is already a
code for expressing what they have: sr-ME. And such action further muddies
the line for what constitutes a language: one step further along a slippery
slope to an "American" language code, or a "Texan" language code, etc.

But one does get tired of pointing out when someone is going to shoot
themselves in the foot. As with Brexit, people don't always consider all
the ramifications of what seems simple and attractive on the surface.

Mark

Mark <https://twitter.com/mark_e_davis>

On Sat, Oct 7, 2017 at 6:05 PM, Han Steenwijk <[email-masked]>
wrote:

> _______________________________________________
> Ietf-languages mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-languages
>

---

From: Arthur Reutenauer <[email-masked]>
Date: Sun, 8 Oct 2017 14:22:04 +0200

> slope to an "American" language code, or a "Texan" language code, etc.

  If the latter is ever requested, we may consider extending the set of
region subtags to include ISO 3166-2 ;-)

> the ramifications of what seems simple and attractive on the surface.

  (Dont’t get me started.)

	Best,

		Arthur

---

From: John Cowan <[email-masked]>
Date: Sun, 8 Oct 2017 15:37:10 -0400

> region subtags to include ISO 3166-2 ;-)

We considered that when writing the RFC.  But it falls down on a number of
counts:

1) 3166-2 codes aren't freely and publicly available direct from ISO
(although Wikipedia is pretty good about keeping its copies up to date).

2) They often represent merely administrative units that keep changing all
the time: after centuries of stability in county names and boundaries until
1974, the UK has rearranged its administrative units every few years, most
recently in 2015.

3) Partly because of (2), dialect boundaries don't actually follow
ISO-3166-2 unit boundaries.

4) The codes are variable-length (1-3 alphanumerics) , which does not fit
into our rather rigid structure.

If necessary they could be added using a reserved singleton, like
en-us-2-tx or en-gb-2-sct.

-- 
John Cowan          http://vrici.lojban.org/~cowan        [email-masked]
The competent programmer is fully aware of the strictly limited size of his
own
skull; therefore he approaches the programming task in full humility, and
among
other things he avoids clever tricks like the plague.  --Edsger Dijkstra